Subject: bug#21652: bell chars

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Aug 2020 19:39:49 +0300

> From: Tom Baker <[email-masked]>
> Date: Sun, 16 Aug 2020 11:55:01 -0400
> Cc: Stefan Kangas <[email-masked]>, [email-masked]
> 
> > would the shell beep?
> 
> Yes, whether in bash or cmd.exe, I add an "echo the bell char so I'll know I am done" command. In shell
> mode (and not in all external shells), I can "enter my command" and hit enter, and then slap my forehead and
> mutter "gee, I forgot", and enter the "echo bell" command any time after that -- the shell mode will execute
> followup lines of commands afterwards seamlessly.
> 
> So that's another "the Emacs shell mode" does "something a shell doesn't".

I'm probably confused: if shell-mode does beep, then why do you need
any changes?  Just be sure to have the "echo bell" at the end of your
command, and it will beep, right?

> (IN CASE OF FOLLOWUP DISCUSSION: I already said (in the post to which this is a reply) that I can
> withdraw the suggestion. I don't need it any more. [I forget exactly what year, 2018, 2019, or 2020, I made
> this suggestion, but I've moved on from it without an emacs change, which I did form my own benefit,
> anyway.] )

Before we decide that you should withdraw your suggestion, I think
it's worthwhile to figure out whether there's some Emacs bug here.  If
the shell does something, but running that shell inside Emacs doesn't,
then there's a bug we had better fixed.

But, of course, if you would like to stop the discussion, I won't
insist on continuing it.

Thanks.